Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Business Components Domains Java API Reference 10g Release 3 (10.1.3) B16006-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class Char

`java.lang.Object
oracle.sql.Datum
oracle.sql.CHAR
oracle.jbo.domain.Char`

All Implemented Interfaces:
  oracle.sql.CustomDatum, oracle.jbo.domain.DomainInterface, oracle.jbo.domain.KeyAttributeInterface, oracle.jbo.domain.MarshalledDomain, oracle.jdbc.internal.ObjectData, java.io.Serializable

public class Char
extends oracle.sql.CHAR
implements oracle.jbo.domain.DomainInterface, oracle.jbo.domain.KeyAttributeInterface, oracle.sql.CustomDatum, java.io.Serializable, oracle.jbo.domain.MarshalledDomain

This class provides a lightweight wrapper for `oracle.sql.CHAR`, the Java representation of the CHAR database type. This wrapper allows an instance of the `oracle.sql.CHAR` to be used as an immutable Domain object.

The intent of many of the methods in this class is to wrap the corresponding method in the `oracle.sql` class such that it returns an instance of an `oracle.jbo.domain.*` object.

The `oracle.jbo.domain.CHAR` class is the Java representation of the underlying database type that you must use if you want to exploit the domain feature of Business Components for Java.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.sql.CHAR
`BUILD_DATE, DEFAULT_CHARSET, PRIVATE_TRACE, TRACE`

Constructor Summary
`Char()` Creates a `Char` Domain object representing the null string.
`Char(byte[] val, oracle.sql.CharacterSet charset)` Creates a `Char` Domain object from a byte array representing a string of a given character set.
`Char(byte[] val, int p1, int p2, oracle.sql.CharacterSet charset)` Internal: Applications should not invoke this method.
`Char(Char val)` Creates a `Char` identical to an existing `Char`.
`Char(oracle.sql.CHAR val)` Creates a `Char` Domain object from a SQL `CHAR`.
`Char(java.lang.Object val)` Creates a `Char` Domain object from an `Object`.
`Char(java.lang.Object val, oracle.sql.CharacterSet charset)` Creates a `Char` Domain object from an `Object` interpreted as a string of a given character set.
`Char(oracle.svcmsg.ResponseValues respVals)`
`Char(java.lang.String val)` Creates a `Char` Domain object from a `String`.
`Char(java.lang.String val, oracle.sql.CharacterSet charset)` Creates a `Char` Domain object from a `String` interpreted as a string of a given character set.

Method Summary
`java.math.BigDecimal` | `bigDecimalValue()` Calls `CHAR.bigDecimalValue()` to convert this object into a Java `BigDecimal`.
`java.math.BigInteger` | `bigIntegerValue()` Converts this data object into a BigInteger.
`boolean` | `booleanValue()` Converts this data object into a boolean.
`double` | `doubleValue()` Converts this data object into a double.
`boolean` | `equals(java.lang.Object other)` Tests `this` for equality with another object.
`float` | `floatValue()` Converts this data object into a float.
`static oracle.sql.CustomDatumFactory` | `getCustomDatumFactory()` Internal: Applications should not invoke this method.
`java.lang.Object` | `getData()` Internal: Applications should not use this method.
`java.lang.String` | `getValue()` Return a java.lang.String object with this domain's value.
`int` | `hashCode()` Computes a hash code for `this` CharDomain object.
`int` | `intValue()` Convert this data object into a int.
`boolean` | `isConvertibleTo(java.lang.Class jClass)` Tests whether this data object can be converted to the specified Java data type.
`long` | `longValue()` Converts this data object into a `long`.
`static void` | `main(java.lang.String[] argv)` Internal: Applications should not invoke this method.
`oracle.svcmsg.ResponseValues` | `marshal()`
`void` | `setContext(oracle.jbo.domain.DomainOwnerInterface owner, oracle.jbo.Transaction trans, java.lang.Object ctx)` Internal: Applications should not use this method.
`oracle.sql.Datum` | `toDatum(oracle.jdbc.driver.OracleConnection conn)` Internal: Applications should not invoke this method.

Methods inherited from class oracle.sql.CHAR
`asciiStreamValue, binaryStreamValue, byteValue, characterStreamValue, dateValue, getCharacterSet, getString, getStringWithReplacement, makeJdbcArray, oracleId, stringValue, timestampValue, timeValue, toJdbc, toString`

Methods inherited from class oracle.sql.Datum
`compareBytes, getBytes, getLength, getStream, setBytes, setShareBytes, shareBytes`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.domain.KeyAttributeInterface
`getBytes, setBytes`

Constructor Detail

### Char

    public Char()
         throws java.sql.SQLException

  Creates a `Char` Domain object representing the null string.

  This constructor does not create a null object: use one of the `NullValue` objects to indicate `null`.

Throws:
  ``SQLException`` - if the empty string is not defined as a character in `DEFAULT_CHARSET`.
  `java.sql.SQLException`

### Char

    public Char(Char val)
         throws java.sql.SQLException

  Creates a `Char` identical to an existing `Char`.
Parameters:
  `val` - a `Char` Domain object.
Throws:
  `java.sql.SQLException` - never.

### Char

    public Char(oracle.sql.CHAR val)
         throws java.sql.SQLException

  Creates a `Char` Domain object from a SQL `CHAR`.
Parameters:
  `val` - a `CHAR` SQL object.
Throws:
  `java.sql.SQLException` - never.

### Char

    public Char(java.lang.String val)
         throws java.sql.SQLException

  Creates a `Char` Domain object from a `String`.
Parameters:
  `val` - A unicode string interpreted as a `DEFAULT_CHARSET` string.
Throws:
  ``SQLException`` - if `val` does not represent a character.
  `java.sql.SQLException`

### Char

    public Char(java.lang.Object val)
         throws java.sql.SQLException

  Creates a `Char` Domain object from an `Object`.
Parameters:
  `val` - An object that will be converted using `toString()` into a `DEFAULT_CHARSET` string.
Throws:
  ``SQLException`` - if the string does not represent a character.
  `java.sql.SQLException`

### Char

    public Char(byte[] val,
                oracle.sql.CharacterSet charset)

  Creates a `Char` Domain object from a byte array representing a string of a given character set.

  No validation is performed.

Parameters:
  `val` - A byte array representing a `charset` string.
  `charset` - An Oracle character set.

### Char

    public Char(byte[] val,
                int p1,
                int p2,
                oracle.sql.CharacterSet charset)

  Internal: Applications should not invoke this method.

  Creates a `Char` Domain object from a range of a byte array representing a string of a given character set.

  No validation is performed.

Parameters:
  `val` - A byte array representing a `charset` string.
  `p1` - The index of the first byte in the range.
  `p2` - The number of bytes in the range.
  `charset` - An Oracle character set.

### Char

    public Char(java.lang.String val,
                oracle.sql.CharacterSet charset)
         throws java.sql.SQLException

  Creates a `Char` Domain object from a `String` interpreted as a string of a given character set.
Parameters:
  `val` - A unicode string interpreted as a `charset` string.
  `charset` - An Oracle character set.
Throws:
  ``SQLException`` - if `val` does not represent a character.
  `java.sql.SQLException`

### Char

    public Char(java.lang.Object val,
                oracle.sql.CharacterSet charset)
         throws java.sql.SQLException

  Creates a `Char` Domain object from an `Object` interpreted as a string of a given character set.
Parameters:
  `val` - An object that will be converted using `toString()` into a `charset` string.
  `charset` - An Oracle character set.
Throws:
  ``SQLException`` - if the string does not represent a character.
  `java.sql.SQLException`

### Char

    public Char(oracle.svcmsg.ResponseValues respVals)
         throws java.sql.SQLException

Method Detail

### getCustomDatumFactory

    public static oracle.sql.CustomDatumFactory getCustomDatumFactory()

  Internal: Applications should not invoke this method.

  Initializes the `Char` Domain.

  This method is invoked when Business Components for Java is initialized. Applications should not call this method directly.

  Returns:
    the `CustomDatumFactory` for the `Char` Domain.

### toDatum

    public oracle.sql.Datum toDatum(oracle.jdbc.driver.OracleConnection conn)
                             throws java.sql.SQLException

  Internal: Applications should not invoke this method.

  Converts this `Char` Domain object back into an SQL `CHAR` object.

  Specified by:
    `toDatum` in interface `oracle.sql.CustomDatum`
  Returns:
    A `Datum` containing `CHAR` object.
  Throws:
    ``SQLException`.`
    `java.sql.SQLException`

### getValue

    public java.lang.String getValue()

  Return a java.lang.String object with this domain's value. This method may be used to access the value for this domain in EL-expressions.

### getData

    public java.lang.Object getData()

  Internal: Applications should not use this method.
  Specified by:
    `getData` in interface `oracle.jbo.domain.DomainInterface`

### setContext

    public void setContext(oracle.jbo.domain.DomainOwnerInterface owner,
                           oracle.jbo.Transaction trans,
                           java.lang.Object ctx)

  Internal: Applications should not use this method.
  Specified by:
    `setContext` in interface `oracle.jbo.domain.DomainInterface`

### hashCode

    public int hashCode()

  Computes a hash code for `this` CharDomain object. The Domain type is ignored.
  Returns:
    the hash code of `this` CharDomain object.

### equals

    public boolean equals(java.lang.Object other)

  Tests `this` for equality with another object. Since JDeveloper 9.0.2, this method will also compare Char objects of different CharacterSets by converting the two CharacterSets into a common characterset if required, so as to compare and return the actual string differences.

  Note that oracle.sql.CHAR does not perform such conversion before comparision. In Oracle9i database charset may be different from the charset of a client machine and that leads to different charsets in the CHAR object.

  Parameters:
    `other` - An arbitrary `Object`.
  Returns:
    `true` if conversion was successful and the converted argument is identical to `this`.

### main

    public static void main(java.lang.String[] argv)
                     throws java.sql.SQLException

  Internal: Applications should not invoke this method.

  For testing purposes only.

  Throws:
    `java.sql.SQLException`

### marshal

    public oracle.svcmsg.ResponseValues marshal()

  Specified by:
    `marshal` in interface `oracle.jbo.domain.MarshalledDomain`

### isConvertibleTo

    public boolean isConvertibleTo(java.lang.Class jClass)

  Tests whether this data object can be converted to the specified Java data type.
  Parameters:
    `jClass` - specifies the Java data type to test against.
  Returns:
    true if this data object is convertible to the specified Java class, and a corresponding xxxValue() method is available; otherwise, a false is returned.

### intValue

    public int intValue()

  Convert this data object into a int.
  Returns:
    the data value in int representation.

### longValue

    public long longValue()

  Converts this data object into a `long`.
  Returns:
    the data value in long representation.

### floatValue

    public float floatValue()

  Converts this data object into a float.
  Returns:
    the data value in float representation.

### doubleValue

    public double doubleValue()

  Converts this data object into a double.
  Returns:
    the data value in double representation.

### bigIntegerValue

    public java.math.BigInteger bigIntegerValue()

  Converts this data object into a BigInteger.
  Returns:
    the data value in BigInteger representation.

### booleanValue

    public boolean booleanValue()

  Converts this data object into a boolean.
  Returns:
    the data value in boolean representation.

### bigDecimalValue

    public java.math.BigDecimal bigDecimalValue()

  Calls `CHAR.bigDecimalValue()` to convert this object into a Java `BigDecimal`.
  Returns:
    a Java BigDecimal value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Business Components Domains Java API Reference 10g Release 3 (10.1.3) B16006-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.